DB_ENV->set_lk_max_locks(3)

NAME
DB_ENV->set_lk_max_locks

SYNOPSIS

#include <db.h>

int DB_ENV->set_lk_max_locks(DB_ENV *dbenv, u_int32_t max);
int DB_ENV->set_lk_max(DB_ENV *dbenv, u_int32_t max);

DESCRIPTION
These functions provide compatibility with Berkeley DB. The TokuDB locking system has no limits on the number of locks, and these function ignore their arguments, returning 0.

RETURN VALUE

Returns zero.

CONFORMING TO
The TokuDB embedded database provides a subset of the functionality of the Berkeley DB. Programs that work with TokuDB probably work with with most versions of Berkeley DB with only recompilation or relinking. The database files are incompatible, however, so to convert from one library to the other you would need to dump the database with one library's tool and load it with the other's.

RESTRICTIONS

Restrictions: At most a few thousand databases per file.

AUTHOR
Tokutek, Inc.

COPYRIGHT
Copyright (c) 2007 Tokutek. All Rights Reserved.